/[packages]/cauldron/qtdeclarative5/current/SOURCES/qtdeclarative-everywhere-src-5.12.0-no_sse2.patch
ViewVC logotype

Contents of /cauldron/qtdeclarative5/current/SOURCES/qtdeclarative-everywhere-src-5.12.0-no_sse2.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1340659 - (show annotations) (download)
Wed Dec 12 15:32:50 2018 UTC (5 months ago) by daviddavid
File size: 1822 byte(s)
SILENT: rediff no_sse2 patch

1 diff -Nru a/src/qml/jsruntime/jsruntime.pri b/src/qml/jsruntime/jsruntime.pri
2 --- a/src/qml/jsruntime/jsruntime.pri 2018-11-19 15:39:18.000000000 +0100
3 +++ b/src/qml/jsruntime/jsruntime.pri 2018-12-12 16:27:14.172972825 +0100
4 @@ -156,6 +156,11 @@
5 $$PWD/qv4value.cpp \
6 $$PWD/qv4executableallocator.cpp
7
8 +linux-g++*:isEqual(QT_ARCH,i386):!no_sse2 {
9 + QMAKE_CFLAGS += -msse2 -mfpmath=sse
10 + QMAKE_CXXFLAGS += -msse2 -mfpmath=sse
11 +}
12 +
13 valgrind {
14 DEFINES += V4_USE_VALGRIND
15 }
16 diff -Nru a/src/qml/jsruntime/qv4global_p.h b/src/qml/jsruntime/qv4global_p.h
17 --- a/src/qml/jsruntime/qv4global_p.h 2018-11-19 15:39:18.000000000 +0100
18 +++ b/src/qml/jsruntime/qv4global_p.h 2018-12-12 16:28:11.706289922 +0100
19 @@ -88,7 +88,7 @@
20 //
21 // NOTE: This should match the logic in qv4targetplatform_p.h!
22
23 -#if defined(Q_PROCESSOR_X86) && (QT_POINTER_SIZE == 4) \
24 +#if defined(Q_PROCESSOR_X86) && (QT_POINTER_SIZE == 4) && defined(__SSE2__) \
25 && (defined(Q_OS_WIN) || defined(Q_OS_LINUX) || defined(Q_OS_QNX) || defined(Q_OS_FREEBSD))
26 # define V4_ENABLE_JIT
27 #elif defined(Q_PROCESSOR_X86_64) && (QT_POINTER_SIZE == 8) \
28 diff -Nru a/src/qml/qml/v8/qv8engine.cpp b/src/qml/qml/v8/qv8engine.cpp
29 --- a/src/qml/qml/v8/qv8engine.cpp 2018-11-19 15:39:18.000000000 +0100
30 +++ b/src/qml/qml/v8/qv8engine.cpp 2018-12-12 16:30:31.763065226 +0100
31 @@ -141,7 +141,7 @@
32 #ifndef Q_OS_WASM // wasm does not have working simd QTBUG-63924
33 #ifdef Q_PROCESSOR_X86_32
34 if (!qCpuHasFeature(SSE2)) {
35 - qFatal("This program requires an X86 processor that supports SSE2 extension, at least a Pentium 4 or newer");
36 + qDebug("This program requires an X86 processor that supports SSE2 extension, at least a Pentium 4 or newer, processors missing the extension are NOT supported to run QML2 code!");
37 }
38 #endif
39 #endif

  ViewVC Help
Powered by ViewVC 1.1.26